/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-25 14:45:22
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-25 17:49:52
 * @FilePath: \src\views\Details.js
 */
import {Button} from '@ant-design/react-native';
import React from 'react';
import {Text} from 'react-native';
const Details = (props) => {
  let {navigation, route} = props;

  // route?.params  里接收参数
  return (
    <>
      <Text>Language:{route?.params?.Language ?? ''}</Text>
      <Text>小米:{route?.params?.target ?? ''}</Text>
      <Button type="primary" onPress={() => navigation.navigate('Details')}>
        navigate to Details 不生效
      </Button>

      <Button type="primary" onPress={() => navigation.push('Details')}>
        push to Details
      </Button>

      <Button
        type="primary"
        onPress={() =>
          navigation.push('Details', {
            Language: 'React native 大法好',
            target: ' Are you ok',
          })
        }>
        push to Details 带参数
      </Button>

      <Button type="primary" onPress={() => navigation.push('Home')}>
        push 回到Home
      </Button>

      <Button type="primary" onPress={() => navigation.navigate('Home')}>
        navigate 回到Home
      </Button>

      <Button type="primary" onPress={() => navigation.goBack()}>
        返回上一页
      </Button>

      <Button type="primary" onPress={() => navigation.popToTop()}>
        popToTop 返回到堆栈中的第一个屏幕
      </Button>
    </>
  );
};

export default Details;
